               Foomatic Filter Support
                Patrick Powell
          Mon Oct 20 03:47:01 PDT 2003

1. Overview

The foomatic-rip filter provides support for a wide range of printers,
but does not provide the extensive monitoring and communication support
of the ifhp filter.  The combination of the foomatic filters and ifhp
makes a powerful combination.

The foomatic-rip filter and documentation can be obtained from:
 www.linuxprintinging.org

The foomatic-rip filter uses a PostScript Printer Description (PPD)
file to do its configuration.  The file appropriate to a printer
can be downloaded from www.linuxprintinging.org, either as an individual
file or as a group.

You can also use a regular PPD file appropriate to your printer.

Older versions of foomatic-rip did not have easy or simple support
for LPRng,  but newer versions should have added support.

If your version of foomatic-rip does not have support the configuration
methods shown below,  a modified version is available from:

http://www.lprng.com/foomatic

2. Configuring ifhp for foomatic

To use the foomatic-rip filter, you need to enable foomatic support
during configuration.  By default, it is enabled:

 configure --help
  ...
  --disable-foomatic       disable foomatic support
  --with-foomatic-rip=PATH   path to foomatic-rip

3. PPD File Specification

The PPD file can be specified in several ways:

 lp:
   :if=ifhp
   :ppd=/usr/share/ppd/hp-laserjet-4.ppd

 OR
 lp:
   :if=ifhp
   :ifhp=model=hplj4,ppd=/usr/share/ppd/hp-laserjet-4.ppd

 OR
  in the ifhp.conf file:

   [ hplj4 ]
   ppd=/usr/share/ppd/hp-laserjet-4.ppd

3. Testing PPD Files

You can test to see if your PPD file is compatible by using:

  foomatic-rip -d --ppd /usr/share/ppd/hp-laserjet-4.ppd
